API ReferenceapimessagingPOST /v1/messaging/segments/{id}/preview

POST /v1/messaging/segments/\{id\}/preview

Service: messaging · operationId: (none)

Required scopes

(no scope declared — review service config)

Path parameters

  • id (string) required

Responses

200 Preview

{
  "type": "object",
  "properties": {
    "segment_id": {
      "type": "string"
    },
    "count": {
      "type": "number"
    },
    "sample_ids": {
      "type": "array",
      "items": {
        "type": "string"
      }
    },
    "explain": {
      "type": "string"
    }
  },
  "required": [
    "segment_id",
    "count",
    "sample_ids",
    "explain"
  ]
}

404 Not found

{
  "type": "object",
  "properties": {
    "error": {
      "type": "string"
    },
    "message": {
      "type": "string"
    },
    "details": {
      "type": "object",
      "additionalProperties": {}
    }
  },
  "required": [
    "error",
    "message"
  ]
}

500 Server error

{
  "type": "object",
  "properties": {
    "error": {
      "type": "string"
    },
    "message": {
      "type": "string"
    },
    "details": {
      "type": "object",
      "additionalProperties": {}
    }
  },
  "required": [
    "error",
    "message"
  ]
}

Example

curl -X POST https://messaging.platform.loop.health/v1/messaging/segments/{id}/preview \
  -H "Authorization: Bearer $ACCESS_TOKEN"